<?php

  use Drupal\Core\Form\FormStateInterface;





function hisse_form_system_theme_settings_alter(&$form, \Drupal\Core\Form\FormStateInterface $form_state) {
  $form['social_media'] = [
    '#type' => 'details',
    '#title' => t('Socaial Media Settings'),
    '#open' => TRUE,
  ];

  $form['social_media']['all_icons_show'] = [
    '#type'          => 'checkbox',
    '#title'         => t('Show social icons in footer'),
    '#default_value' => theme_get_setting('all_icons_show', 'hisse'),
    '#description'   => t("Check this option to show social icons in footer. Uncheck to hide."),
  ];


  $form['social_media']['links'] = [
    '#type' => 'textarea',
    '#title' => t('Social Media Links'),
    '#description' => t('Enter each link on a new line.'),
    '#default_value' => theme_get_setting('links'),
      '#states' => [
      'visible' => [
        ':input[name="all_icons_show"]' => ['checked' => TRUE],
      ],
    ],
 ];
  
  // Slayt gösterisi ayarları için fieldset
  $form['slideshow'] = [
    '#type' => 'fieldset',
    '#title' => t('Slideshow Settings'),
    '#prefix' => '<div id="slideshow-settings-wrapper">',
    '#suffix' => '</div>',
    '#tree' => TRUE,
  ];

  // Slayt gösterisini etkinleştirme seçeneği
  $form['slideshow']['slideshow_enabled'] = [
    '#type' => 'checkbox',
    '#title' => t('Enable Slideshow'),
    '#default_value' => theme_get_setting('slideshow_enabled', 'hisse'),
    '#description' => t('Check this option to enable the slideshow.'),
  ];

  // Slayt gösterisi resim yükleme alanları (sadece slayt gösterisi etkinleştirildiğinde görünür)
  $num_slides = $form_state->get('num_slides');
  if ($num_slides === NULL) {
    $num_slides = 1;
    $form_state->set('num_slides', $num_slides);
  }

    for ($i = 0; $i < $num_slides; $i++) {
    $form['slideshow'][$i] = [
      '#type' => 'details',
      '#title' => t('Slide @num', ['@num' => $i + 1]),
      '#open' => TRUE,
      '#states' => [
        'visible' => [
          ':input[name="slideshow[slideshow_enabled]"]' => ['checked' => TRUE],
        ],
      ],
    ];

    $form['slideshow'][$i]['image'] = [
      '#type' => 'managed_file',
      '#title' => t('Image'),
      '#upload_location' => 'public://slideshow-images/',
      '#multiple' => FALSE,
      '#default_value' => theme_get_setting('slideshow')[$i]['image'] ?? '',
      '#upload_validators' => [
        'file_validate_extensions' => ['jpg jpeg png gif'],
      ],
    ];

    $form['slideshow'][$i]['title'] = [
      '#type' => 'textfield',
      '#title' => t('Title'),
      '#default_value' => theme_get_setting('slideshow')[$i]['title'] ?? '',
    ];

        $form['slideshow'][$i]['description'] = [
      '#type' => 'textarea',
      '#title' => t('Description'),
      '#default_value' => theme_get_setting('slideshow')[$i]['description'] ?? '',
    ];
  }

  // Yeni slayt ekleme butonu
  $form['slideshow']['add_slide'] = [
    '#type' => 'submit',
    '#value' => t('Add New Slide'),
    '#submit' => ['hisse_add_more_slides'],
      '#states' => [
        'visible' => [
          ':input[name="slideshow[slideshow_enabled]"]' => ['checked' => TRUE],
        ],
      ],
    '#ajax' => [
      'callback' => 'hisse_add_more_slides_callback',
      'wrapper' => 'slideshow-settings-wrapper',
    ],
  ];


}

